dasdseq(1)

NAME
dasdseq - Hercules DSORG=PS retrieval command

SYNOPSIS
dasdseq [options...] image [sf=shadow] filespec
dasdseq [-debug] [-expert] [-ascii] image [sf=shadow] [attr] filespec [debugopts] [ascii]

DESCRIPTION
Hercules command to retrieve a DSORG=PS (sequential) dataset from CKD/CCKD DASD. The dataset is presumed to be encoded in EBCDIC. The second form of the command is for 'expert mode' users, and allows more advanced access to data on the DASD image.

OPTIONS
The following options are used to specify dasdseq behavior. Surround each option by blank(s). Options are divided into three categories: required, optional, and expert mode operands.

Required operands

  image
specifies the Hercules CKD/CCKD DASD filename (sometimes referred to as the DASD image file)

  filespec
dataset name of the file to retrieve. Case insensitive, converted to upper case for searching VTOC on image DASD volume.

Optional operands

  sf=shadow
For CCKD images which also use shadow files, specifies the [path/]filename of the shadow file. Note the sf=, which must be present for this option.

  -ascii
convert the output file to ASCII (from EBCDIC). Additionally, trailing blanks are trimmed. The 'ascii' option (no leading dash) is deprecated, and may be removed in a future release.

Expert mode operands
All expert mode operands are considered to be experimental.

dasdseq [-debug] [-expert] [-ascii] image [sf=shadow] [attr] filespec [debugopts]

  -debug
Additional debug options are displayed. Specifying -debug will (eventually) display dataset extent information.

  attr
dataset attributes (only useful with -abs)

[-recfm fb] [-lrecl aa]

-recfm designates RECFM, reserved for future support

fb - fixed, blocked (only RECFM currently supported)

-lrecl designates dataset LRECL

aa - decimal logical record length (default 80)

Blocksize need not be specified; dasdseq handles whatever block size comes off the volume.

  filespec
composed of the following sub-operands, in the following order: heads, abs, filename.

  -heads xx
defines # tracks per cylinder on device; xx = decimal number of heads per cylinder on device

  -abs cc hh tt [...] [-abs cc hh tt]

-abs indicates the beginning of each extent's location in terms of absolute dasd image location.

cc - decimal cylinder number (relative zero)

hh - decimal head number (relative zero)

tt - decimal number of tracks in extent

When -abs is specified, each -abs group specifies one dataset extent. For multi-extent datasets, -abs groups may be repeated as needed, in the order in which the dataset's extents occur. A maximum of 123 extents are supported. With -abs, no VTOC structure is implied; a F1 DSCB will not be sought. Dasdseq will frequently report 'track not found in extent table' (along with a message from fbcopy about rc -1 from convert_tt) due to potentially missing EOF markers in the extent, and the fact that the F1 DSCB DS1LSTAR field is not valid. Check your output file before you panic. Fbcopy -abs ignores EOF, in case you are attempting to recovery PDS member(s) from a damaged dasd volume, preferring to wait until all tracks in the extent have been processed. Tracks containing PDS members may have more than one EOF per track. Expect a lot of associated manual effort with -abs.

When -abs is -not- specified, filename specifies the MVS DSORG=PS dataset on the volume. The dasd image volume containing the dataset must have a valid VTOC structure, and a F1 DSCB describing the dataset.

  filename
will be the filename of the output file in the current directory; output filename in the same case as the command line filename.

  debugopts
Produces debugging output, refer to the source code.

verbose [x [y [z]]]

verbose debug output level (default = 0 when not specified). Higher numbers produce more output.

x main program (default = 1 when verbose specified)

y copyfile + showf1

z dasdutil

SEE ALSO

dasdpdsu for DSORG=PO datasets

cckd(4) for CCKD DASD

http://www.hercules-390.org/cckddasd.html which describes
    the Hercules CCKD DASD facility.

http://www.hercules-390.org/ the Hercules emulator homepage.

HISTORY
2003-03-10 originally written by James M. Morrison